Name:		sovix
Version:	0.0.1.6
Release:	1%{?dist}
Summary:	A website Revision System

Group:		Applications/Internet		
License:	AGPLv3 and GPLv3+ and GFDL 
URL:		http://gnu.org/software/%{name}
Source0:	http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	webserver, mysql-server >= 4.1, php >= 4.3 

BuildArch:	noarch

%description
GNU Sovix is the PHP-based, extensible, customizable, semantic website revision
system.If this seems to be a bit of a mouthful, an easier explanation is Sovix
is a free Emacs-like WRS, the text editor Sovix was developed in.

Some of the features of GNU Sovix include:
 * Mechanisms to receive the software code over network protected by the GNU 
Affero General Public License.
 * Semantically valid HTML and XHTML markup.
 * Agnostic RDBMS support for PostgreSQL and MySQL via Sovix web template 
engine.
 * Cross platform/web server/browser compatible.

Remember to configure your webserver config file.


%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 %{buildroot}%{_datadir}/%{name}/
%{__cp} -av copy/ dev/ dotsovix/ etc/ include/ %{buildroot}/%{_datadir}/%{name}/
%{__cp} -av Sandbox/ src/ Templates/ websrc/ %{buildroot}/%{_datadir}/%{name}/
%{__cp} -av *.php *.inc %{buildroot}/%{_datadir}/%{name}/
%{__rm} %{buildroot}/%{_datadir}/%{name}/dotsovix/private/index.html
%{__rm} %{buildroot}/%{_datadir}/%{name}/Sandbox/include/dotsovix/private/index.html
%{__rm} %{buildroot}/%{_datadir}/%{name}/Templates/Default/include/dotsovix/private/index.html

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING CONTRIBUTE BUGS NEWS README COPYING.ART INSTALL 
%doc COPYING.DOC
%{_datadir}/sovix/

%define _enable_debug_package 0

%changelog
* Sat Nov 1 2008 Vivek Shah <boni.vivek at gmail.com> 0.0.1.6-1
- Initial Package
